edu.sc.seis.sod.status

## Class OutputScheduler

- java.lang.Object
- - java.lang.Thread
  - - edu.sc.seis.sod.status.OutputScheduler

- All Implemented Interfaces:
    ArmListener, java.lang.Runnable

      public class OutputScheduler
      extends java.lang.Thread
      implements ArmListener

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `finished(Arm arm)`
    `static OutputScheduler` | `getDefault()`
    `void` | `run()`
    `void` | `schedule(java.lang.Runnable a)`
    `void` | `scheduleForExit(java.lang.Runnable a)`
    `void` | `started()` Called when all the arms have been started.
    `void` | `starting(Arm arm)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### starting

          public void starting(Arm arm)

      Specified by:
        `starting` in interface `ArmListener`

    - #### finished

          public void finished(Arm arm)

      Specified by:
        `finished` in interface `ArmListener`

    - #### started

          public void started()
                       throws ConfigurationException

      Description copied from interface: `ArmListener`
      Called when all the arms have been started.
      Specified by:
        `started` in interface `ArmListener`
      Throws:
        `ConfigurationException`

    - #### schedule

          public void schedule(java.lang.Runnable a)

    - #### scheduleForExit

          public void scheduleForExit(java.lang.Runnable a)

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`
      Overrides:
        `run` in class `java.lang.Thread`

    - #### getDefault

          public static OutputScheduler getDefault()